package com.zjsgfa.project.zjsgfa.mapper;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SjFdsgcsZjfxzt;

/**
 * 分段施工措施-专家分析钻头Mapper接口
 * 
 * @author ruoyi
 * @date 2025-12-10
 */
public interface SjFdsgcsZjfxztMapper 
{
    /**
     * 查询分段施工措施-专家分析钻头
     * 
     * @param id 分段施工措施-专家分析钻头主键
     * @return 分段施工措施-专家分析钻头
     */
    public SjFdsgcsZjfxzt selectSjFdsgcsZjfxztById(Long id);

    /**
     * 查询分段施工措施-专家分析钻头列表
     * 
     * @param sjFdsgcsZjfxzt 分段施工措施-专家分析钻头
     * @return 分段施工措施-专家分析钻头集合
     */
    public List<SjFdsgcsZjfxzt> selectSjFdsgcsZjfxztList(SjFdsgcsZjfxzt sjFdsgcsZjfxzt);

    /**
     * 新增分段施工措施-专家分析钻头
     * 
     * @param sjFdsgcsZjfxzt 分段施工措施-专家分析钻头
     * @return 结果
     */
    public int insertSjFdsgcsZjfxzt(SjFdsgcsZjfxzt sjFdsgcsZjfxzt);

    /**
     * 修改分段施工措施-专家分析钻头
     * 
     * @param sjFdsgcsZjfxzt 分段施工措施-专家分析钻头
     * @return 结果
     */
    public int updateSjFdsgcsZjfxzt(SjFdsgcsZjfxzt sjFdsgcsZjfxzt);

    /**
     * 删除分段施工措施-专家分析钻头
     * 
     * @param id 分段施工措施-专家分析钻头主键
     * @return 结果
     */
    public int deleteSjFdsgcsZjfxztById(Long id);

    /**
     * 批量删除分段施工措施-专家分析钻头
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjFdsgcsZjfxztByIds(Long[] ids);

    int deleteSjFdsgcsZjfxztByjh(String jh);

    int insertSjFdsgcsZjfxztBatch(List<SjFdsgcsZjfxzt> sjFdsgcsZjfxztList);

}
